Subject: Re: bug#78601: [PATCH] Add tool-bar icons to package-menu-mode

From: Philip Kaludercic <[email-masked]>
Date: Sun, 08 Jun 2025 10:46:26 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Philip Kaludercic <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Sun, 08 Jun 2025 09:09:05 +0000
>> 
>> >> I wouldn't object, because I do not use them, but if I couldn't disable
>> >> the tool-bar, I would (with apologies) not find them that appealing,
>> >> because a visual priority of mine is stylistic consistency, and these
>> >> icons wouldn't fit into the remaining design language GUI on my system(s).
>> >
>> > Can you elaborate on how these icons are inconsistent with the other
>> > GUI on your system?  Which aspects are inconsistent.
>> 
>> Just the design of the icons.  I use GNOME, and compare the previous
>> screenshot to this one of the file manager:
>
> This shows just two icons, and doesn't show the proposed ones for our
> tool bar near them, so it is hard to compare.  What aspects of the
> icons did you have in mind that are different: the size, the color
> scheme, something else?

Mainly the color scheme and the shapes.  I don't think the size is
relevant, as that is something that depends on the context and usage of
the icons.  The icons currently being suggested appear acceptable in the
toolbar, but that might be different on screens with higher resolutions.

>> As we are not using icons provided by the icon theme of the desktop
>> environment, which in my case should be
>> https://gitlab.gnome.org/GNOME/adwaita-icon-theme, there is a visual
>> mismatch that some people might find irritating, but that is nothing new
>> with Emacs.
>
> Are there icons in that theme that could serve the needs of
> package-menu-mode?  If so, we could offer them as an alternative, when
> that desktop is in use.

It appears so, I was able to find something sensible for everything
besides "execute".

If we were to do this, I think it would be acceptable to use the Adwita
icons whenever Emacs is using GTK.

>> >> FWIW I don't think there is any harm in adding the icons anyway.
>> >> Disregarding visual appeal, I think a slightly less subjective question
>> >> is would it help attract the attention of new users to useful operations
>> >> when they are dealing with packages, and I think that the answer here is
>> >> affirmative.
>> >
>> > I'd like to avoid the situation where adding the icons will cause a
>> > flood of complaints about their appearance.
>> 
>> Understandable, but unless we find some way to detect and use the right
>> icons on all the systems that Emacs supports, I feel that this is
>> inevitable.
>
> I don't think it's practical "to detect and use the right icons on all
> the systems that Emacs supports".  As for complaints, some are
> definitely inevitable, but the question is how many of them will come
> in?

That I cannot say :)